import App from './App'


// import VConsole from 'vconsole' // 导入vConsole模块
// const vConsole = new VConsole()
// var window = (function (){ return this })();
// console.log(window); 

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif